-module(akhamoth).

-export([compile/1, collect/2]).

compile(Path) ->
    {ok, Src} = file:read_file(Path),
    Lexer = akh_lexer:new(Src),
    collect(Lexer, []).

collect(Lexer, Acc) ->
    case akh_lexer:next(Lexer) of
        none -> Acc;
        {ok, T, L} -> collect(L, [T | Acc])
    end.
